<!--
  Generated template for the ChatgrouppagePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">
  
  <div class="header-inner-container">
  	<ion-buttons class="back-btn-container" start>
      <button ion-button icon-only (click)="backBtn()" class="back-btn">
      </button>
    </ion-buttons>
  	<div class="user-name-container">
  		<div class="user-name-inner-container">
	  		<p class="user-name-label" (click)="groupInfo()">{{ selectedGroupName }}</p>
	  	</div>
  	</div>
  	<div class="profile-photo-container">
  		<img-loader class="profile-photo" *ngIf="loaded" src="{{ selectedGroupPhotoURL }}" imageViewer="{{ selectedGroupPhotoURL }}" useImg></img-loader>
  	</div>
  </div>


</ion-header>


<ion-content padding class="wrap-all">

  <div class="chat-messages-container">
    <div *ngFor="let message of chatMessagesList$ | async; let i=index; let last = last;">
      <div *ngFor="let allUser of userList$ | async;">
        <div class="bubble left" *ngIf="message.sender != ownUserID && message.message != '' && message.type == 'messages' && message.sender == allUser.key">
          <div class="txt">
            <p class="name">{{ allUser.displayName }}</p> 
            <p class="message">{{ message.message }}</p>
            <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
          </div>
          <div class="bubble-arrow left"></div>
        </div>
        <!--  Speech Bubble alternative -->
        <div class="bubble right" *ngIf="message.sender == ownUserID && message.message != '' && message.type == 'messages' && message.sender == allUser.key">
          <div class="txt">
            <p class="message">{{ message.message }}</p>
            <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
          </div>
          <div class="bubble-arrow right"></div>
        </div>
        <div class="bubble left" *ngIf="message.sender != ownUserID && message.message != '' && message.type == 'images' && message.sender == allUser.key">
          <div class="pic">
            <p class="name">{{ allUser.displayName }}</p>
            <img-loader class="images-message" src="{{ message.message }}" imageViewer="{{ message.message }}" useImg></img-loader>
            <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
          </div>
          <div class="bubble-arrow left"></div>
        </div>
        <!--  Speech Bubble alternative -->
        <div class="bubble right" *ngIf="message.sender == ownUserID && message.message != '' && message.type == 'images' && message.sender == allUser.key">
          <div class="pic">
            <img-loader class="images-message" src="{{ message.message }}" imageViewer="{{ message.message }}" useImg></img-loader>
            <span class="timestamp">{{ message.msgSentTime | date: 'd/M/yyyy h:mm a'}}</span>
          </div>
          <div class="bubble-arrow right"></div>
        </div>
        {{ scroll(last, i) }}
      </div>
    </div>
  </div>

</ion-content>

<ion-footer class="chat-footer-container">
  <div class="chat-footer-inner-container">
    <div class="add-attachment-container">
      <button class="add-attachment-icon" (click)="openOptions(ChatGroupMsg)"></button>
    </div>
    <div class="chat-message-input-container">
      <ion-input type="text" placeholder="Messages..." [(ngModel)]="message" class="chat-input-box"></ion-input>
    </div>
    <div class="send-icon-container">
      <button class="send-icon" (click)="sendMessage(ChatGroupMsg)"></button>
    </div>
  </div>
</ion-footer>
